> ## Documentation Index
> Fetch the complete documentation index at: https://holder.docs.fiskil.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List products

> List products for a team



## OpenAPI

````yaml /openapi/platform.yaml get /products
openapi: 3.0.1
info:
  title: DH Console API
  description: Data Provider SaaS platform
  contact: {}
  version: '1.0'
servers:
  - url: https://api.fiskil.com/v1/data-provider/cdr
    description: Fiskil Data Provider Platform API
security:
  - bearerAuth: []
paths:
  /products:
    get:
      tags:
        - Products
      summary: List products
      description: List products for a team
      parameters:
        - name: cursor
          in: query
          description: Page cursor from previous response
          schema:
            type: string
        - name: page_size
          in: query
          description: Page size
          schema:
            type: integer
      responses:
        '200':
          description: Products listed successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/product.ListProductsResponse'
        '400':
          description: Bad request - validation error
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: string
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: string
components:
  schemas:
    product.ListProductsResponse:
      type: object
      properties:
        cursor:
          type: string
        products:
          type: array
          items:
            $ref: '#/components/schemas/product.ListProductsResponseProduct'
        total_pages:
          type: integer
    product.ListProductsResponseProduct:
      type: object
      properties:
        change_status:
          type: string
          enum:
            - ScheduledChangeStatusNeedsReview
            - ScheduledChangeStatusScheduled
            - ScheduledChangeStatusChangesRequested
            - ScheduledChangeStatusCancelled
            - ScheduledChangeStatusApplied
        last_updated:
          type: string
        name:
          type: string
        product_category:
          type: string
        product_id:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        OAuth 2.0 access token from the [token
        endpoint](https://api.fiskil.com/v1/token).

        See [Platform API authentication](/platform-api/authentication).

````